Skip to main content
Resource Center/Network Resource/Policy Routing Operations
GETPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

QueryPolicyRouteTable

QueryPolicyRouteTable

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • tableNumberintRequired

      The table number.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • routesListRequired

      See routes.

      • uuidStringRequired

        The resource UUID.

      • tableUuidStringRequired

        The policy route table UUID.

      • destinationCidrStringRequired

        The destination CIDR.

      • nextHopIpStringRequired

        The next hop IP address.

      • distanceintRequired

        The priority.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/policy-routes/tables

/zstack/v1/policy-routes/tables

Operation ID

QueryPolicyRouteTable

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/policy-routes/tables' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "6e39025e9eb432fda488f19e7104fdf0", "tableNumber": 1.0, "description": "example-des", "routes": [ { "tableUuid": "90f075232c383565ac3dbc09554c4152", "destinationCidr": "192.168.1.0/24", "nextHopIp": "192.168.1.1", "distance": 1.0 } ] } ] }

Change History

This API has no change history records yet.

View all change history